Skip to main content
GET
/
agents
/
{agentName}
/
logs
Get agent logs
curl --request GET \
  --url https://api.pipecat.daily.co/v1/agents/{agentName}/logs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.pipecat.daily.co/v1/agents/{agentName}/logs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.pipecat.daily.co/v1/agents/{agentName}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total": {
    "value": 79,
    "relation": "eq"
  },
  "logs": [
    {
      "log": "INFO:     Finished server process [1]",
      "timestamp": "2025-04-18T20:34:17.153744602Z"
    },
    {
      "log": "INFO:     Application shutdown complete.",
      "timestamp": "2025-04-18T20:34:17.153706059Z"
    },
    {
      "log": "INFO:     Waiting for application shutdown.",
      "timestamp": "2025-04-18T20:34:17.153611029Z"
    },
    {
      "log": "INFO:     Uvicorn running on http://0.0.0.0:8080 (Press CTRL+C to quit)",
      "timestamp": "2025-04-18T20:32:42.246099974Z"
    },
    {
      "log": "INFO:     Application startup complete.",
      "timestamp": "2025-04-18T20:32:42.245760327Z"
    }
  ]
}
{
"error": "Invalid timestamp format",
"code": "GENERIC_BAD_REQUEST"
}
{
"error": "Not found",
"code": "NOT_FOUND"
}
{
"error": "Internal server error",
"code": "INTERNAL_SERVER_ERROR"
}

Authorizations

Authorization
string
header
required

Authentication requires a Pipecat Cloud Private API token.

Generate a Private API key from your Dashboard (Settings > API Keys > Private > Create key) and include it as a Bearer token in the Authorization header.

Path Parameters

agentName
string
required

Name of the agent to retrieve logs for

Query Parameters

limit
integer
default:10

Maximum number of log entries to return

offset
integer
default:0

Number of log entries to skip

deploymentId
string

Filter logs to a specific deployment ID

sessionId
string

Filter logs to a specific session ID

query
string

Free-text search query to filter logs

order
enum<string>
default:desc

Sort order for logs

Available options:
asc,
desc
startTime
integer

Filter logs to those after this Unix timestamp

endTime
integer

Filter logs to those before this Unix timestamp

Response

Agent logs retrieved successfully

total
object
logs
object[]

List of log entries